local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
	local digest = function(value)
		return Application:digest_value(value, true)
	end
	self.tier_unlocks = {
		digest(0),
		digest(1),
		digest(3),
		digest(18)
	}

	local function find_mastermind (tab, val)
	    for index, value in ipairs(tab) do
	        if value.name_id == val then
	        	value.tiers = {
					{
						"stable_shot",
						"predator_snp_accrecoil"
					},
					{
				    	"rifleman",
				    	"sharpshooter",
						"predator_snp_reload_speed"
					},
					{
			    		"spotter_teamwork",
			    		"speedy_reload",
						"predator_snp_ammo_boost",
				   	    "snp_rof_boost"
					},
					{
						"single_shot_ammo_return",
						"snp_final"
					}
				}
	            return true
	        end
	    end
	    return false
	end

	log('mastermind_init:')
	log(tostring(find_mastermind(self.trees ,"st_menu_mastermind_single_shot")))

-- Skill cost infos
-- Tier 0 and 1
--       base = self.costs.default
--       aced = self.costs.pro

-- Tier 2 and 3
--       base = self.costs.hightier
--       aced = self.costs.hightierpro


	--- LMG SKILLS

			self.skills.snp_final = {
			["name_id"] = "menu_snp_final",
			["desc_id"] = "menu_snp_final_desc",
			["icon_xy"] = {7, 0},
			[1] = {
				upgrades = {
					"snp_rapido1",
					"piles_of_snp_ammo",
					"piles_of_dmr_ammo",
					"snp_q_reload",
					"metalhand"
				},
				cost = self.costs.hightier
			},
			[2] = {
				upgrades = {
					"snp_rapido",
					"ammo_gain_boost",
					"snp_recoil_x"
				},
				cost = self.costs.hightierpro
			}
		}
	
			self.skills.predator_snp_reload_speed = { -- RELOAD SPEED BOOST
				["name_id"] = "menu_snp_reload_speed",
				["desc_id"] = "menu_snp_reload_speed_desc",
				["icon_xy"] = {1, 9}, -- Colonna Riga Da 0 a N
				[1] = {
					upgrades = {
						"snp_reload_speed"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = {
						"aced_snp_reload_speed",
						"steady_sniping"
					},
					cost = self.costs.pro
				}
			}

		self.skills.predator_snp_ammo_boost = { -- Ammunition BOOST
				["name_id"] = "menu_snp_ammo_boost",
				["desc_id"] = "menu_snp_ammo_boost_desc",
				["icon_xy"] = {3, 0},--Colonna riga
				[1] = {
					upgrades = {
						"snp_extra_ammo_multiplier"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
						"aced_snp_extra_ammo_multiplier"
					},
					cost = self.costs.hightierpro
				}
			}

		self.skills.predator_snp_accrecoil = { -- Accuracy BOOST
			["name_id"] = "menu_snp_accrecoil",
			["desc_id"] = "menu_snp_accrecoil_desc",
			["icon_xy"] = {8, 5},--Colonna riga
			[1] = {
				upgrades = {
					"snp_spread_index_addend",
					"snp_recoil_index_addend"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {
					"aced_snp_spread_index_addend",
					"aced_snp_recoil_index_addend"
				},
				cost = self.costs.pro
			}
		}

		self.skills.snp_rof_boost = { -- RATE OF FIRE BOOST
				["name_id"] = "menu_snp_firerate_boost_beta",
				["desc_id"] = "menu_snp_firerate_boost_desc",
				["icon_xy"] = {9, 10},--Colonna riga
				[1] = {
					upgrades = {
						"snp_firerate"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
						"aced_snp_firerate"
					},
					cost = self.costs.hightierpro
				}
			}
		-- TIER 3 END

	--- 

end